import java.awt.*;
import javax.swing.*;
public class aboutJPanel extends JPanel 
{
	public aboutJPanel()
	{
		setBackground(Color.green);
	}
	public void paintComponent(Graphics g)  //consider g as a pencil that is able to draw on the screen
	{		
		Image mikeImg = Toolkit.getDefaultToolkit().getImage("mike.jpg");
		Image mattImg = Toolkit.getDefaultToolkit().getImage("matt.jpg");
		Image coreyImg = Toolkit.getDefaultToolkit().getImage("corey.jpg");
	
		super.paintComponent(g);
		Graphics2D g2d = (Graphics2D)g;

		Font f1 = new Font("Arial", Font.BOLD, 50);
		Font f2 = new Font("Arial", Font.PLAIN, 14);
		
		g.setColor(Color.gray);
		g2d.setFont(f1);
		g2d.drawString("About the Programmers",110,60);
		g2d.drawString("About the Programmers",110,64);
		g2d.drawString("About the Programmers",106,60);
		g2d.drawString("About the Programmers",106,64);
		
		g2d.setColor(Color.white);
		g2d.drawString("About the Programmers",108,62);
		
		g2d.drawImage(mikeImg,140,90,this);
		g2d.drawImage(mattImg,140,210,this);
		g2d.drawImage(coreyImg,140,330,this);
		
		g2d.setFont(f2);
		g2d.drawString("Michael J. Dobbs",240,104);
		g2d.drawString("Pennsylvania State University Undergrad Student",240,120);
		g2d.drawString("Major: Infomation Sciences and Technology",240,136);
		g2d.drawString("E-mail: mjd943@psu.edu",240,152);
		g2d.drawString("Special Ability: Running amuck",240,168);
		g2d.drawString("Favorite saying: \"No whammy, no whammy...\"",240,184);
		
		g2d.drawString("Matthew C. Leitzell",240,224);
		g2d.drawString("Pennsylvania State University Undergrad Student",240,240);
		g2d.drawString("Major: Infomation Sciences and Technology",240,256);
		g2d.drawString("E-mail: mcl175@psu.edu",240,272);
		g2d.drawString("Special Ability: The frog-splash",240,288);
		g2d.drawString("Favorite saying: \"What the...That guy's got TEATS!\"",240,304);
		
		g2d.drawString("Corey E. Wilkinson",240,344);
		g2d.drawString("Pennsylvania State University Undergrad Student",240,360);
		g2d.drawString("Major: Infomation Sciences and Technology",240,376);
		g2d.drawString("E-mail: cew176@psu.edu",240,392);
		g2d.drawString("Special Ability: Telepathy",240,408);
		g2d.drawString("Favorite saying: \"What's wrong with that dude?\"",240,424);
	}	
}